//+------------------------------------------------------------------+
//|                                              CheckConnection.mq4 |
//|                              Copyright 2012, Alamga Informatique |
//|                                             http://www.alamga.be |
//+------------------------------------------------------------------+
#property copyright "Copyright 2012, Alamga Informatique"
#property link      "http://www.alamga.be"
#property show_inputs			// hide this when DelayToAlert is set for you

extern string	__Delay 		= "... before starting alert procedure in seconds";
extern int		DelayToAlert 	= 30; // Must be 300 or alike
extern bool		RepeatAlert		= true;
void ProcessMyAlert() {
	/********************
	 PLACE YOUR CODE HERE
	********************/
	// example
	Alert("Warning, no connection.");
}
//+------------------------------------------------------------------+
//| script program start function                                    |
//+------------------------------------------------------------------+
int start()
  {
//----
	static bool previouslyConnected = true;
	static int	start;
	int timer;


	while (!IsStopped()) {
	
	   	if (IsConnected()) {
			Comment("Check connection is running : CONNECTED.");
	   		previouslyConnected = true;
	   	}
	   	else if (previouslyConnected) {
			Comment("Check connection is running : NOT CONNECTED.");
	   		previouslyConnected = false;
	   		start = GetTickCount();
	   	}
	   	else {
			timer = (GetTickCount() - start) / 1000;
			Print("timer : ", timer);
	   		if (timer >= DelayToAlert) {
				ProcessMyAlert();
				if (RepeatAlert)
	   				start = GetTickCount();
	   			else {
					Comment("Check connection is running : NO CONNECTEDION... alert triggered");
					DelayToAlert = 2000000000;
	   			}
	   		}
	   		else {
				Comment("Check connection is running : NO CONNECTION... alert will be triggered in ", DelayToAlert - timer, " seconds");
	   		}
	   	}
	   	Sleep(1000);
	}
		   	
	Comment("");
//----
   return(0);
  }
//+------------------------------------------------------------------+